import 'package:at_client/at_client.dart';
import 'test_util.dart';

void main() async {
  try {
    final atsign = '@murali';
    final preference = TestUtil.getMuraliPreference();
    var atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(atsign, 'wavi', preference);

    var i = 0;
    while (true) {
      var notificationResult = await atClientManager.notificationService
          .notify(NotificationParams.forUpdate(AtKey()
            ..key = 'key-$i'
            ..namespace = 'wavi'
            ..sharedBy = '@murali'
            ..sharedWith = '@sitaram'));
      await Future.delayed(Duration(seconds: 1));
      print(notificationResult);
      i = i + 1;
    }
  } on Exception catch (e, trace) {
    print(e.toString());
    print(trace);
  }
}
