import 'dart:io';
import 'package:at_client/at_client.dart';
import 'test_util.dart';

void main() async {
  try {
    final atSign = '@sitaram';
    final preference = TestUtil.getSitaramPreference();
    var atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(atSign, 'wavi', preference);

    AtClientManager.getInstance()
        .notificationService
        .subscribe()
        .listen((event) {
      print(event);
    });
  } on Exception catch (e, trace) {
    print(e.toString());
    print(trace);
  }
  exit(1);
}
